import { service } from "./request";

export function getTwitterSaleNftProjectInfo(params) {
    return service({
        url: `/nft/project/getTwitterSaleNftProjectInfo`,
        method: 'post',
        data: params
    })
}

export function nftListMine(params) {
    return service({
        url: `/nft/item/listMine`,
        method: 'post',
        data: params
    })
}

export function getNFTDetail(params) {
    return service({
        url: `/nft/item/getDetail`,
        method: 'post',
        data: params
    })
}

export function getNftMysteryBoxSaleInfo(params) {
    return service({
        url: `/nft/project/getNftMysteryBoxSaleInfo`,
        method: 'post',
        data: params
    })
}

export function getNftProjectInfo(params) {
    return service({
        url: `/nft/project/getNftProjectInfo`,
        method: 'post',
        data: params
    })
}

export function listJoinNftGroup(params) {
    return service({
        url: `/nft/group/listJoinNftGroup`,
        method: 'post',
        data: params
    })
}

export function prePost(params) {
    return service({
        url: `/nft/group/post/pre`,
        method: 'post',
        data: params
    })
}


export function getGroupPostList(params) {
    return service({
        url: `/nft/group/post/list`,
        method: 'post',
        data: params
    })
}

export function getTwitterNftGroupInfo(params) {
    return service({
        url: `/nft/group/getTwitterNftGroupInfo`,
        method: 'post',
        data: params
    })
}

export function transferRequest(params) {
    return service({
        url: `/nft/transfer/request`,
        method: 'post',
        data: params
    })
}

export function redeemNft(params) {
    return service({
        url: `/nft/project/redeemNft`,
        method: 'post',
        data: params
    })
}

export function listPossessNftProject(params) {
    return service({
        url: `/nft/possess/listPossessNftProject`,
        method: 'post',
        data: params
    })
}